Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
131 Views

Unable to access YUM repository

Jump to solution

I get a http 403 Forbidden message when running the command:

 

sudo yum install intel-basekit

Tags (1)
0 Kudos

Accepted Solutions
Highlighted
131 Views

Hi Jan, 

Can you please try to install intel basekit from with other method?

Here is the following link from where you can directly download intel-basekit. 

https://dynamicinstaller.intel.com/oneapi/toolkits/base-kit/linux/

Sonia

View solution in original post

0 Kudos
6 Replies
Highlighted
131 Views

Hi Jan, can you please provide some detail about your environment?  Are you running this on the DevCloud, or something else? 

Thanks

William.

0 Kudos
Highlighted
131 Views

Hi,

I face the same error when using Fedora31 64bit on my laptop,

[root@rose ~]# yum -v install intel-basekit
Loaded plugins: builddep, changelog, config-manager, copr, debug, debuginfo-install, download, generate_completion_cache, needs-restarting, playground, repoclosure, repodiff, repograph, repomanage, reposync
DNF version: 4.2.9
cachedir: /var/cache/dnf
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
repo: using cache for: fedora-modular
fedora-modular: using metadata from Fri 25 Oct 2019 03:48:21 AM CEST.
repo: using cache for: updates-modular
updates-modular: using metadata from Mon 04 Nov 2019 05:53:53 AM CET.
repo: using cache for: updates
updates: using metadata from Mon 04 Nov 2019 01:46:21 AM CET.
repo: using cache for: fedora
fedora: using metadata from Fri 25 Oct 2019 03:48:20 AM CEST.
repo: using cache for: google-chrome
google-chrome: using metadata from Fri 01 Nov 2019 08:05:13 PM CET.
repo: downloading from remote: oneAPI
error: Status code: 403 for http://1a.sandbox.intel.com.s3.amazonaws.com/yum/oneapi/repodata/repomd.xml (http://1a.sandbox.intel.com.s3.amazonaws.com/yum/oneapi/repodata/repomd.xml).                      ] 601  B/s | 243  B     --:-- ETA
error: Status code: 403 for http://1a.sandbox.intel.com.s3.amazonaws.com/yum/oneapi/repodata/repomd.xml (http://1a.sandbox.intel.com.s3.amazonaws.com/yum/oneapi/repodata/repomd.xml).
error: Status code: 403 for http://1a.sandbox.intel.com.s3.amazonaws.com/yum/oneapi/repodata/repomd.xml (http://1a.sandbox.intel.com.s3.amazonaws.com/yum/oneapi/repodata/repomd.xml).                      ] 601  B/s | 243  B     --:-- ETA
error: Status code: 403 for http://1a.sandbox.intel.com.s3.amazonaws.com/yum/oneapi/repodata/repomd.xml (http://1a.sandbox.intel.com.s3.amazonaws.com/yum/oneapi/repodata/repomd.xml).
Intel(R) oneAPI repository                                                                                                                                                                                    256  B/s | 243  B     00:00     
Cannot download 'http://1a.sandbox.intel.com.s3.amazonaws.com/yum/oneapi': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried.
Failed to download metadata for repo 'oneAPI'
repo: using cache for: rpmfusion-free-updates
rpmfusion-free-updates: using metadata from Sun 03 Nov 2019 04:17:47 PM CET.
repo: using cache for: rpmfusion-free
rpmfusion-free: using metadata from Tue 22 Oct 2019 12:21:36 PM CEST.
repo: using cache for: rpmfusion-nonfree-updates
rpmfusion-nonfree-updates: using metadata from Sun 03 Nov 2019 04:24:22 PM CET.
repo: using cache for: rpmfusion-nonfree
rpmfusion-nonfree: using metadata from Tue 22 Oct 2019 12:43:47 PM CEST.
Ignoring repositories: oneAPI
Last metadata expiration check: 0:59:51 ago on Mon 04 Nov 2019 11:16:43 AM CET.
Completion plugin: Generating completion cache...
No match for argument: intel-basekit
Error: Unable to find a match: intel-basekit

So far I have tried tried with openSuse 15.1 and Fedora 31 (both are 64bit). repo URLs work neither for yum nor for zypper. I am going to give it a shot with Ubuntu 18.04 64bit tonight and let you know if that works.

Thank you.

 

0 Kudos
Highlighted
132 Views

Hi Jan, 

Can you please try to install intel basekit from with other method?

Here is the following link from where you can directly download intel-basekit. 

https://dynamicinstaller.intel.com/oneapi/toolkits/base-kit/linux/

Sonia

View solution in original post

0 Kudos
Highlighted
Moderator
131 Views

If your systems are inside the Intel Intranet you will need to set up proxys with env vars.  And remember, if you 'sudo' you need to use the -E argument to carry your env vars over to the sudo shell.

I'd recommend trying this:

sudo bash

<password>

export http_proxy=http://proxy-us.intel.com:911

export https_proxy=http://proxy-us.intel.com:911

export HTTP_PROXY=http://proxy-us.intel.com:911

export HTTPS_PROXY=http://proxy-us.intel.com:911

apt-get install intel-basekit 

 

similar for YUM and Zypper.  It's the same issue you have for accessing public GITHUB from inside the Intel Firewall. You need to have the HTTP/S proxies set up for apt or yum or Zypper to get out.

 

If you have a choice, use Ubu 18.04 as this is the oneAPI tools are primarily developed and tested on this OS.  

 

ron

 

 

0 Kudos
Highlighted
131 Views

All,


I have been late from work the last few days.
I am running the download option provided by https://dynamicinstaller.intel.com/oneapi/toolkits/base-kit/linux/
The zip file has downloaded without any issues.
./install.sh is still downloading the software.

Thanks for all the hints.

Regards,

Jan Gerrit
 

0 Kudos
Highlighted
131 Views

Hi Jan,

We are glad to hear that we could help you.

Regards

Pradeep

0 Kudos